

# UntagResource
<a name="API_UntagResource"></a>

Deletes the specified set of tags from the specified set of Application Migration Service resources.

## Request Syntax
<a name="API_UntagResource_RequestSyntax"></a>

```
DELETE /tags/resourceArn?tagKeys=tagKeys HTTP/1.1
```

## URI Request Parameters
<a name="API_UntagResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [resourceArn](#API_UntagResource_RequestSyntax) **   <a name="mgn-UntagResource-request-uri-resourceArn"></a>
Untag resource by ARN.  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Required: Yes

 ** [tagKeys](#API_UntagResource_RequestSyntax) **   <a name="mgn-UntagResource-request-uri-tagKeys"></a>
Untag resource by Keys.  
Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: Yes

## Request Body
<a name="API_UntagResource_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_UntagResource_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_UntagResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_UntagResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Operating denied due to a file permission or access check error.  
HTTP Status Code: 403

 ** InternalServerException **   
The server encountered an unexpected condition that prevented it from fulfilling the request.    
 ** retryAfterSeconds **   
The server encountered an unexpected condition that prevented it from fulfilling the request. The request will be retried again after x seconds.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
Resource not found exception.    
 ** resourceId **   
Resource ID not found error.  
 ** resourceType **   
Resource type not found error.
HTTP Status Code: 404

 ** ThrottlingException **   
Reached throttling quota exception.    
 ** quotaCode **   
Reached throttling quota exception.  
 ** retryAfterSeconds **   
Reached throttling quota exception will retry after x seconds.  
 ** serviceCode **   
Reached throttling quota exception service code.
HTTP Status Code: 429

 ** ValidationException **   
Validate exception.    
 ** fieldList **   
Validate exception field list.  
 ** reason **   
Validate exception reason.
HTTP Status Code: 400

## See Also
<a name="API_UntagResource_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mgn-2020-02-26/UntagResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mgn-2020-02-26/UntagResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mgn-2020-02-26/UntagResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mgn-2020-02-26/UntagResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mgn-2020-02-26/UntagResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mgn-2020-02-26/UntagResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mgn-2020-02-26/UntagResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mgn-2020-02-26/UntagResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mgn-2020-02-26/UntagResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mgn-2020-02-26/UntagResource) 